<html>
    <body>
        <?php
        if ($formatcetak == 'excel') {
            header("Content-type: application/vnd-ms-excel");
            header("Content-Disposition: attachment; filename=cetakexportpiutang.xls");
        }

        ini_set("max_execution_time", 5000);
        ini_set('memory_limit', '1024M');
        $namabulan_text = [
            "Januari",
            "Februari",
            "Maret",
            "April",
            "Mei",
            "Juni",
            "Juli",
            "Agustus",
            "September",
            "Oktober",
            "November",
            "Desember"
        ];

        $tglpenetapan = (!empty($data_get->t_tglpendataan)) ? 'Tgl. Penetapan : ' . $data_get->t_tglpendataan : '';
        if (!empty($data_get->t_statusbayar)) {
            $statusbayar = ($data_get->t_statusbayar == 1) ? '<BR>( LUNAS )' : '<BR>( BELUM BAYAR )';
        } else {
            $statusbayar = '';
        }
        $jenisobjek = (!empty($data_get->jenisobjek)) ? (($data_get->jenisobjek == 1) ? 'WAJIB PAJAK' : 'WAJIB RETRIBUSI') : '';
        ?>

        <div style="position: absolute;top: 30px; left: 30px;"><img src="<?= $ar_pemda->s_logo ?>" width="50"></div>
        <div>
            <div style='width: 100%;font-family:sans-serif;'>
                <p style="text-align: center;">
                    <strong style=" font-size: 12pt; ">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota); ?></strong><br>
                    <strong style=" font-size: 14pt; "><?= strtoupper($ar_pemda->s_namainstansi); ?></strong><br>
                    <span style="font-size:9pt"><?= strtoupper($ar_pemda->s_alamatinstansi); ?> Telp/Fax <?= $ar_pemda->s_notelinstansi ?>, <?= $ar_pemda->s_namaibukotakabkota ?> <?= $ar_pemda->s_kodepos ?></span>
                </P>
            </div>
            <table width="100%" cellpadding="4" style="font-family:sans-serif;border-collapse: collapse;border-top: 4px double black;">
                <!--<tr><th colspan="13" style="">&nbsp;</th></tr>-->
                <tr>
                    <th colspan="14" style="font-size:12pt;">DAFTAR PENETAPAN PIUTANG <?= $jenisobjek ?>
                        <br>PERIODE <?=$data_get->periode_export?> <?=(!empty($data_get->t_statusbayar)) ? (($data_get->t_statusbayar == 1) ? '(LUNAS)' : '(BELUM BAYAR)') : ''?></th>
                </tr>
                <tr><th colspan="14" style="text-align:left;"><?= $tglpenetapan ?></th></tr>
                <tr style="background:#f7f7f7;">
                    <th style="border: 1px solid black;">NO.</th>
                    <th style="border: 1px solid black;">NO.PIUTANG</th>
                    <th style="border: 1px solid black;">PERIODE PIUTANG</th>
                    <th style="border: 1px solid black;">NPWD/WR</th>
                    <th style="border: 1px solid black;">NAMA WP/WR</th>
                    <th style="border: 1px solid black;">NIOP/OR</th>
                    <th style="border: 1px solid black;">NAMA OBJEK/USAHA</th>
                    <th style="border: 1px solid black;">MASA PAJAK/RETRIBUSI</th>
                    <th style="border: 1px solid black;">NAMA JENIS</th>
                    <th style="border: 1px solid black;">JUMLAH POKOK (Rp)</th>
                    <th style="border: 1px solid black;">JUMLAH DENDA (Rp)</th>
                    <th style="border: 1px solid black;">JUMLAH PIUTANG (Rp)</th>
                    <th style="border: 1px solid black;">KODE BAYAR</th>
                    <th style="border: 1px solid black;">STATUS BAYAR</th>
                </tr>
                <?php
                $counter = 1;
                foreach ($data as $v):
                    $jatuhtempo = $v['t_tgljatuhtempo'];
                    $tglsekarang = date('Y-m-d');

                    $ts1 = strtotime($jatuhtempo);
                    $ts2 = strtotime($tglsekarang);

                    $year1 = date('Y', $ts1);
                    $year2 = date('Y', $ts2);

                    $month1 = date('m', $ts1);
                    $month2 = date('m', $ts2);

                    $day1 = date('d', $ts1);
                    $day2 = date('d', $ts2);
                    if ($day1 < $day2) {
                        $tambahanbulan = 1;
                    } else {
                        $tambahanbulan = 0;
                    }

                    $jmlbulan = (($year2 - $year1) * 12) + ($month2 - $month1 + $tambahanbulan);
                    if ($jmlbulan > 24) {
                        $jmlbulan = 24;
                        $jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
                    } else {
                        $jmldenda = $jmlbulan * 2 / 100 * $v['t_jmlhpajak'];
                    }
                    $jmlhdenda = (!empty($v['t_tglpembayaran'])) ? $v['t_jmlhbayardenda'] : $jmldenda;
                    $status_bayar = (!empty($v['t_tglpembayaran'])) ? 'LUNAS' : 'BELUM BAYAR';
                    ?>
                    <tr>
                        <td style="border: 1px solid black;"><?= $counter ?></td>
                        <td style="border: 1px solid black;text-align: center;"><?= $v['t_nopiutang'] ?></td>
                        <td style="border: 1px solid black;text-align: center;"><?= $v['t_tahunpiutang'] ?></td>
                        <td style="border: 1px solid black;text-align: center;"><?= $v['t_npwpd'] ?></td>
                        <td style="border: 1px solid black;"><?= $v['t_nama'] ?></td>
                        <td style="border: 1px solid black;text-align: center;"><?= $v['t_nop'] ?></td>
                        <td style="border: 1px solid black;"><?= $v['t_namaobjek'] ?></td>
                        <td style="border: 1px solid black;text-align: center;"><?= date('d-m-Y', strtotime($v['t_masaawal'])) . ' s/d ' . date('d-m-Y', strtotime($v['t_masaakhir'])) ?></td>
                        <td style="border: 1px solid black;"><?= $v['s_namajenis'] ?></td>
                        <td style="border: 1px solid black;text-align: right;"><?= number_format($v['t_jmlhpajak'],0,',','.') ?></td>
                        <td style="border: 1px solid black;text-align: right;"><?= number_format($jmlhdenda,0,',','.') ?></td>
                        <td style="border: 1px solid black;text-align: right;"><?= number_format($v['t_jmlhpajak']+$jmlhdenda,0,',','.') ?></td>
                        <td style="border: 1px solid black;text-align: center;"><?= ($formatcetak == 'pdf') ? $v['t_kodebayar'] : "'" . $v['t_kodebayar'] ?></td>
                        <td style="border: 1px solid black;text-align: center;"><?= $status_bayar ?></td>
                    </tr>
                    <?php
                    $counter++;
                    $totalpokok += ($v['t_jmlhpajak']);
                    $totaldenda += ($jmlhdenda);
                    $totalpajak += ($v['t_jmlhpajak']+$jmlhdenda);
                endforeach;
                ?>
                <tr>
                    <th style="border: 1px solid black;text-align: center;" colspan="9">TOTAL PAJAK</th>
                    <th style="border: 1px solid black;text-align: right;"><?= number_format($totalpokok,0,',','.') ?></th>
                    <th style="border: 1px solid black;text-align: right;"><?= number_format($totaldenda,0,',','.') ?></th>
                    <th style="border: 1px solid black;text-align: right;"><?= number_format($totalpajak,0,',','.') ?></th>
                    <th style="border: 1px solid black;text-align: center;" colspan="2"></th>
                </tr>
                <tr><td colspan="14"><b>Perhatian</b> : untuk <b>Denda</b> dengan status <b>Belum Bayar</b> terhitung sampai tanggal <b><?=date('d/m/Y')?></b></td></tr>
                <tr>
                    <td colspan="4"></td>
                    <td colspan="6"></td>
                    <td colspan="4" style="padding-top:20px;text-align:center;">
                        <?php
                        echo
                        $ar_pemda->s_namaibukotakabkota . ", " . date('d', strtotime($data_get->tglcetak_export)) . " " . $namabulan_text[date('m', strtotime($data_get->tglcetak_export)) - 1] . " " . date('Y', strtotime($data_get->tglcetak_export)) . "
                        <br>" . $ar_diperiksa->s_jabatanpej . "
                        <br><br><br><br><br><br><br>
                        <b>" . $ar_diperiksa->s_namapej . "</b><br>
                        " . $ar_diperiksa->s_nippej
                        ?>
                    </td>
                </tr>
            </table>

        </div>

        <?php if ($formatcetak == 'pdf') { ?> 
        <htmlpagefooter name="MyCustomFooter">
            <table style="vertical-align: bottom; font-family: serif;" width="100%">
                <tbody>
                    <tr>
                            <!--<td width="33%"><span style="font-weight: bold; font-style: italic;">{DATE j-m-Y}</span></td>-->
                        <td style="font-style: italic;text-align: left;font-size: 10px;border: 1px solid #fff;" width="50%">Printed by SIMPATDA</td>
                        <td style="font-style: italic;text-align: right;font-size: 12px;border: 1px solid #fff;" width="50%">Halaman {PAGENO} dari {nbpg}</td>
                    </tr>
                </tbody>
            </table>
        </htmlpagefooter>
    <?php } ?>
</body>
</html>

<style type="text/css" media="print">
    @page {
        margin: 30px 40px 50px 30px;
        /* ensure you append the header/footer name with 'html_' */
        header: html_MyCustomHeader; /* sets <htmlpageheader name="MyCustomHeader"> as the header */
        footer: html_MyCustomFooter; /* sets <htmlpagefooter name="MyCustomFooter"> as the footer */
    }   
</style>
